Subject: bug#42940: feature/native-comp; xref-find-definition searches compile location of el files instead of install location

From: Andrea Corallo <[email-masked]>
Date: Thu, 20 Aug 2020 11:05:00 +0000

Tom Gillespie <[email-masked]> writes:

> Hi Andrea,
>     On feature/native-comp at 8a931a97b8dd19a38d6f719f810280a07ba76438
> I am unable to use xref-find-definition to resolve a large subset of functions
> including shell-command. This was not an issue at
> 9f01ce6327af886f26399924a9aadf16cdd4fd9f and is not an issue on master at
> a566e409d0d962d3c2870691175836da22c31111. Repro is below and the messages
> point to the cause being that xref-find-definitions is now looking in
> the location where
> the el files were during compilation instead of where they have been
> installed. This
> will cause problems for anyone distributing emacs in addition to distros where
> compilation is sandboxed. To reproduce it on your end I suspect that
> you will need
> to use a different compile and install location for the el files. Best!
> Tom

Hi Tom,

I believe could be an issue related to commit I've just reverted, could
you give a try to the last state?

If you still see it could you open a bug in the emacs bug tracker about
that?  I've a number of things in the queue and that's the best place to
cumulate and discuss these.

Thanks!

  Andrea

-- 
[email-masked]